@use '../../stylesheets/core/placeholders/escape_container';

.rui-actions {
  display: flex;
  height: var(--actions-height);
  align-items: center;
  justify-content: flex-end;
  padding: var(--spacer-default);
  background-color: var(--component-content-background);
  gap: var(--spacer-small);

  &--bottom,
  &--top {
    position: sticky;
    z-index: 1;
  }

  &--bottom {
    bottom: 0;
    margin-top: var(--spacer-default);
  }

  &--top {
    top: 0;
    margin-bottom: var(--spacer-default);
  }

  // Escape from containers
  ._container > & {
    @extend %escape_container;
  }
}
